aboutsummaryrefslogtreecommitdiff
path: root/debug.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2023-11-25 22:18:33 +0100
committerdec05eba <dec05eba@protonmail.com>2023-11-25 22:18:33 +0100
commit60ed7a4377590943f12b30d2122ce2b73c7e616a (patch)
tree99a07ae2863a99decaf909e579efa4e5836ad35d /debug.sh
parenta2707cf5fae16566257e290ec874701591165423 (diff)
Add debug install script
Diffstat (limited to 'debug.sh')
-rwxr-xr-xdebug.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/debug.sh b/debug.sh
new file mode 100755
index 0000000..720d7ec
--- /dev/null
+++ b/debug.sh
@@ -0,0 +1,20 @@
+#!/bin/sh -e
+
+script_dir=$(dirname "$0")
+cd "$script_dir"
+
+[ $(id -u) -ne 0 ] && echo "You need root privileges to run the install script" && exit 1
+
+DEBUG=1 ./build.sh
+
+install -Dm755 "gsr-kms-server" "/usr/bin/gsr-kms-server"
+install -Dm755 "gpu-screen-recorder" "/usr/bin/gpu-screen-recorder"
+if [ -d "/usr/lib/systemd/user" ]; then
+ install -Dm644 "extra/gpu-screen-recorder.service" "/usr/lib/systemd/user/gpu-screen-recorder.service"
+fi
+# Not necessary, but removes the password prompt when trying to record a monitor on amd/intel or nvidia wayland
+setcap cap_sys_admin+ep /usr/bin/gsr-kms-server
+# Not ncessary, but allows use of EGL_CONTEXT_PRIORITY_LEVEL_IMG which might decrease performance impact on the system
+setcap cap_sys_nice+ep /usr/bin/gpu-screen-recorder
+
+echo "Successfully installed gpu-screen-recorder (debug)"